﻿using SyncFusionDemo1.ViewModels.Pages;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace SyncFusionDemo1.Interfaces.Services
{
    public interface INavigationService
    {
        Task Init();
        Task ShowPageAsync<TViewModel>() where TViewModel : BasePageViewModel;
        Task ShowPageAsync(Type type);
        Task ShowPageAsync<TViewModel>(object parameter) where TViewModel : BasePageViewModel;
        Task ClosePageAsync(bool animated = false);
        Task CloseAllPagesAsync(bool animated = false);
        Task AppendToTitle(string title);
    }
}
