﻿using SyncFusionDemo1.Extensions;
using System;
using System.Collections.Generic;
using System.Text;

namespace SyncFusionDemo1.Helpers
{
    public static class TemplateRenderer
    {
        public static string Render(string message, object model)
        {
            var properties = model.GetProperties();

            foreach (var property in properties)
            {
                message = message.Replace($"@Model.{property.Key}", property.Value.ToString());
            }

            return message;
        }
    }
}
